F-Secure Safe for Android 4.2.2

Novice

F-Secure Safe for Android 4.2.2

Hello,

 

I'd like to activate the old mobile of my wife for my 10 year old girl. It a WIKO Getaway with Android 4.2.2. In the Play-store I get no F-Secure Safe Version running on Android 4.2.2. Is there any way to get it startet on this Android-Version?

 

Thanks for good answers.

 

Alfred

1 ACCEPTED SOLUTION

Accepted Solutions
Superuser

Re: F-Secure Safe for Android 4.2.2

Hello,

 

Sorry for my reply. I am only an F-Secure user (their home solutions).

In the Play-store I get no F-Secure Safe Version running on Android 4.2.2. Is there any way to get it startet on this Android-Version?

I think that it is not possible to do officially. Because current system requirements for F-Secure SAFE Android is:

"Android 5.0 or later with 70MB of free disk space"


Thus, Android 4.2.2 is not supported platform. In addition to meanings that even Google(?) with EOL-policy for this version -> likely that F-Secure SAFE with fresh changes and features which are not possible to use there (possible to use only with Android 5.0+).

 

But if it is possible to manage 'outdated' F-Secure SAFE .apk packages and to install it manually (or by any other steps) -> likely that such outdated F-Secure SAFE application should work on Android 4.2.2; With limited abilities and functionality (compared to up-to-date builds).

It is unknown for me - if there are any trusted and 'legal' sources of such apk packages. Likely that it is not 'as designed' and risky. Only option is try to ask official F-Secure Support Channel (chat or phone): https://www.f-secure.com/en/web/home_global/contact-support (what if Support with abilities to advice further about situation).

 

Also, there is fresh knowledgebase article about Google own changes and F-Secure reflection: https://community.f-secure.com/t5/F-Secure-SAFE/Feature-changes-in-F-Secure-SAFE/ta-p/113116

So, I am not sure even that previous F-Secure SAFE builds should work at all.

 

As my own experience -> Android device (4.4.2?!). F-Secure SAFE is installed at the time when platform was with official support. On current day - application still works, but did not receive any update/upgrade.

 

Sorry for my long reply.

As another try to understand your concern -> what is most important for you? I mean - try to use F-Secure SAFE is for ability to use Parental Control features, Finder/Locator features or ability to scan device against malicious items?

Because, maybe, there are some workarounds or good advices how to mitigate situation.

Of course, with acknowledgement that outdated Android builds can be with its own troubles and weakness (too critical even if F-Secure SAFE is installed).

 

Thanks!

View solution in original post

1 REPLY 1
Superuser

Re: F-Secure Safe for Android 4.2.2

Hello,

 

Sorry for my reply. I am only an F-Secure user (their home solutions).

In the Play-store I get no F-Secure Safe Version running on Android 4.2.2. Is there any way to get it startet on this Android-Version?

I think that it is not possible to do officially. Because current system requirements for F-Secure SAFE Android is:

"Android 5.0 or later with 70MB of free disk space"


Thus, Android 4.2.2 is not supported platform. In addition to meanings that even Google(?) with EOL-policy for this version -> likely that F-Secure SAFE with fresh changes and features which are not possible to use there (possible to use only with Android 5.0+).

 

But if it is possible to manage 'outdated' F-Secure SAFE .apk packages and to install it manually (or by any other steps) -> likely that such outdated F-Secure SAFE application should work on Android 4.2.2; With limited abilities and functionality (compared to up-to-date builds).

It is unknown for me - if there are any trusted and 'legal' sources of such apk packages. Likely that it is not 'as designed' and risky. Only option is try to ask official F-Secure Support Channel (chat or phone): https://www.f-secure.com/en/web/home_global/contact-support (what if Support with abilities to advice further about situation).

 

Also, there is fresh knowledgebase article about Google own changes and F-Secure reflection: https://community.f-secure.com/t5/F-Secure-SAFE/Feature-changes-in-F-Secure-SAFE/ta-p/113116

So, I am not sure even that previous F-Secure SAFE builds should work at all.

 

As my own experience -> Android device (4.4.2?!). F-Secure SAFE is installed at the time when platform was with official support. On current day - application still works, but did not receive any update/upgrade.

 

Sorry for my long reply.

As another try to understand your concern -> what is most important for you? I mean - try to use F-Secure SAFE is for ability to use Parental Control features, Finder/Locator features or ability to scan device against malicious items?

Because, maybe, there are some workarounds or good advices how to mitigate situation.

Of course, with acknowledgement that outdated Android builds can be with its own troubles and weakness (too critical even if F-Secure SAFE is installed).

 

Thanks!

View solution in original post